Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class RemoveUserTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
                  |
                  +--com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
                        |
                        +--com.bea.p13n.usermgmt.servlets.jsp.taglib.RemoveUserTag

public class RemoveUserTag
extends ResultTag

Corresponds to `<um:removeUser>`.

The `<um:removeUser>` tag removes the `com.beasys.commerce.axiom.contact.User` object corresponding to the provided `username`. It can remove any type of extended user that has its `profileType` set in the database. The tag has no enclosed body.

Note: This tag should only be invoked when the `weblogic.security.realmClass` property in the `weblogic.properties` file is `com.beasys.commerce.axiom.contact.security.RDBMSRealm`.

Tag Attribute | Required | Type | Description
username | yes | String | The username of the user to be remove. Example: "`<%=username%>`"
result | yes | String | The name of an Integer variable to which the result of the remove user operation is assigned. Possible Values: Success: `UserManagerTagConstants.REMOVE_USER_OK` Error encountered: `UserManagerTagConstants.REMOVE_USER_FAILED`

See Also:
  Serialized Form

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
`result`

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`GROUP_MGR_REF, USER_MGR_REF`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`RemoveUserTag()`

Method Summary
`int` | `doStartTag()` Go through the UserManager session bean to remove the user.
`java.lang.String` | `getUsername()` Get the name of the user to remove
`void` | `release()` Reset the tag's attributes
`void` | `setUsername(java.lang.String s)` Set the name of the user to remove

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
`getResult, setResult`

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`getGroupManager, getUserManager`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoveUserTag

    public RemoveUserTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Go through the UserManager session bean to remove the user.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### release

    public void release()

  Reset the tag's attributes

  Overrides:
    release in class ResultTag

### getUsername

    public java.lang.String getUsername()

  Get the name of the user to remove

### setUsername

    public void setUsername(java.lang.String s)

  Set the name of the user to remove

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved